%define major 3
%define libname %mklibname openr2_ %{major}
%define develname %mklibname openr2 -d

Summary:	MFC/R2 signalling over E1 lines using the DAHDI Telephony interface
Name:		openr2
Version:	1.3.3
Release:	%mkrel 5
License:	GPLv2
Group:		System/Servers
URL:		http://www.libopenr2.org/
Source0:	http://openr2.googlecode.com/files/openr2-%{version}.tar.gz
BuildRequires:	dahdi-devel

%description
OpenR2 is a library that implements the MFC/R2 signalling over E1 lines using
the DAHDI Telephony interface. The MF R2 tones required for the signaling are
generated by code borrowed from the LGPL library SpanDSP written by Steve Underwood, 
the user has the option to provide a MF interface to use his own MF R2 tone generation
and detection so the library will use them when needed, that's why this library does not 
depend directly on spandsp, libteletone or zaptel for tone generation and detection
(depends on zaptel for CAS bits and general media transmission though)

%package -n	%{libname}
Summary:	openr2 shared library
Group:		System/Libraries

%description -n	%{libname}
OpenR2 is a library that implements the MFC/R2 signalling over E1 lines using
the DAHDI Telephony interface. The MF R2 tones required for the signaling are
generated by code borrowed from the LGPL library SpanDSP written by Steve Underwood, 
the user has the option to provide a MF interface to use his own MF R2 tone generation
and detection so the library will use them when needed, that's why this library does not 
depend directly on spandsp, libteletone or zaptel for tone generation and detection
(depends on zaptel for CAS bits and general media transmission though)

This package provides the shared %{name} library.

%package -n	%{develname}
Summary:	Header files and libraries for developing applications for openr2
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}

%description -n	%{develname}
OpenR2 is a library that implements the MFC/R2 signalling over E1 lines using
the DAHDI Telephony interface. The MF R2 tones required for the signaling are
generated by code borrowed from the LGPL library SpanDSP written by Steve Underwood, 
the user has the option to provide a MF interface to use his own MF R2 tone generation
and detection so the library will use them when needed, that's why this library does not 
depend directly on spandsp, libteletone or zaptel for tone generation and detection
(depends on zaptel for CAS bits and general media transmission though)

These are the header files and libraries for developing applications for %{name}.

%prep

%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure --with-pic
%make_build

%install
%make_install

# cleanup
rm -f %{buildroot}%{_libdir}/*.*a

%files
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/r2proto.conf
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/r2test.conf
%{_bindir}/r2dtmf_detect
%{_bindir}/r2test
%{_mandir}/man*/*

%files -n %{libname}
%doc README doc/*
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/openr2.h
%{_includedir}/openr2
%{_libdir}/*.so


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.3.3-5.mga8
+ Revision: 1515727
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.3.3-4.mga7
+ Revision: 1300029
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 1.3.3-3.mga7
+ Revision: 1239547
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Nov 16 2015 oden <oden> 1.3.3-1.mga6
+ Revision: 903654
- 1.3.3
- libify properly but waste no time upgrading cleanly

* Wed Oct 15 2014 umeabot <umeabot> 1.3.2-5.mga5
+ Revision: 743488
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.2-4.mga5
+ Revision: 683230
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3.2-3.mga4
+ Revision: 508700
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.3.2-2.mga3
+ Revision: 362108
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 26 2012 dlucio <dlucio> 1.3.2-1.mga2
+ Revision: 226491
- imported package openr2


* Fri Jun 03 2011 Lonyai Gergely <aleph@mandriva.org> 1.3.1-3mdv2011.0
+ Revision: 682651
- Add --with-pic

* Fri Jun 03 2011 Lonyai Gergely <aleph@mandriva.org> 1.3.1-2
+ Revision: 682618
- Release
- Fix some lib64 dir in %%files
- Add dependency: dahdi-devel
- Initial release
  1.3.1
- create openr2

